import tkinter
import tkinter.messagebox
import tkinter.simpledialog

class Exchange(tkinter.Frame):

    def __init__(self, master=None):
        self.rate = 100

        super().__init__(master)
        self.pack()
        # ドル用のフレーム
        self.doll_frame = tkinter.Frame(master=None)
        self.doll_frame.pack(anchor=tkinter.W)
        self.doll = tkinter.DoubleVar()
        self.doll.set(10.0)
        self.doll_entry = tkinter.Entry(self.doll_frame, width=20,
                            textvariable=self.doll, justify='right')
        self.doll_entry.pack(side=tkinter.LEFT, padx=5)
        self.doll_lable = tkinter.Label(self.doll_frame, text="ドル")
        self.doll_lable.pack(side=tkinter.LEFT, anchor=tkinter.S)

        # 計算ボタン用のフレーム
        self.calc_frame = tkinter.Frame(master)
        self.calc_frame.pack(side=tkinter.TOP)

        # 円とドルのどちらへ（ラジオボタン）
        self.which = tkinter.IntVar()
        self.which.set(0)
        self.toYen = tkinter.Radiobutton(self.calc_frame, text="↓ ",
                                         variable=self.which, value=0)
        self.toYen.pack(side=tkinter.LEFT)
        self.toDoll = tkinter.Radiobutton(self.calc_frame, text="↑ ",
                                    variable=self.which, value=1)
        self.toDoll.pack(side=tkinter.LEFT)

        # 計算ボタン
        self.calcBtn = tkinter.Button(
            self.calc_frame, text="計算", command=self.calc,
            fg="blue")
        self.calcBtn.pack(side=tkinter.LEFT)

        # 為替レート変更フレーム
        self.rate_frame = tkinter.Frame(master)
        self.rate_frame.pack()
        self.change_rate＿Btn = tkinter.Button(self.rate_frame,
                                        text=" 為替レート: " +
                                        str(self.rate) + "円/ドル",
                                        font=("Courier", "14"),
                                        command=self.change_rate)
        self.change_rate_Btn.pack()

        # 円のフレーム
        self.yen_frame = tkinter.Frame(master=None)
        self.yen_frame.pack(anchor=tkinter.W)
        self.yen = tkinter.DoubleVar()
        self.yen_entry = tkinter.Entry(
            self.yen_frame, width=20, textvariable=self.yen,
            justify='right')
        self.calc()
        self.yen_entry.pack(side=tkinter.LEFT, padx=5)
        yen_lable = tkinter.Label(self.yen_frame, text="円")
        yen_lable.pack(side=tkinter.LEFT)


    def calc(self):
        try:
            if self.which.get() == 0:
                dollValue = self.doll.get()
                self.yen.set(dollValue * self.rate)
            else:
                yenValue = self.yen.get()
                self.doll.set(yenValue / self.rate)
        except:
            tkinter.messagebox.showerror("エラー", "数値を入力してください")

    def change_rate(self):
        self.rate = tkinter.simpledialog.askfloat("為替レート", "レート")
        self.change_rate_Btn["text"] = " 為替レート: " + str(self.rate) + "円/ドル"
        self.calc()

if __name__ == '__main__':
    root = tkinter.Tk()
    root.option_add('*font', 'Courier 25')
    root.title("円ドル変換")
    app = Exchange(master=root)
    app.mainloop()
