import tkinter


class MyApplication(tkinter.Frame):
    def __init__(self, master=None):
        super().__init__(master,  bg="yellow", padx=10, pady=10)
        self.pack()

        self.rg = tkinter.IntVar()

        # IntVar オブジェクトを用意する
        self.r_frame = tkinter.Frame(self)
        self.r_frame.pack()

        # 3 つのラジオボタンを生成する
        self.radio1 = tkinter.Radiobutton(self.r_frame, text="赤",
                    variable=self.rg, value=1, command=self.change)
        self.radio1.pack(side=tkinter.LEFT)
        self.radio2 = tkinter.Radiobutton(self.r_frame, text="青",
                    variable=self.rg, value=2, command=self.change)
        self.radio2.pack(side=tkinter.LEFT)
        self.radio3 = tkinter.Radiobutton(self.r_frame, text="黄",
                    variable=self.rg, value=3, command=self.change)
        self.radio3.pack(side=tkinter.LEFT)

        self.label = tkinter.Label(self, font=("", 20), width=15)
        self.label.pack()

        # IntVar オブジェクトに3 を設定
        self.rg.set(3)

    def change(self):
        # ラベルにvalue の値を表示
        self.label["text"] = self.rg.get()


if __name__ == '__main__':
    root = tkinter.Tk()
    root.title("ラジオボタン")
    app = MyApplication(master=root)
    root.mainloop()
