import tkinter
import os.path
import random

class Fortune(tkinter.Frame):

    def __init__(self, master=None):
        super().__init__(master)
        self.pack()

        # ことわざ表示用ラベル
        self.display = tkinter.Label(self, text="test", fg="red", bg="yellow",
                                     font=("Courier", 60, "bold"), width=24)
        self.display.pack(ipadx=5, ipady=5)

        # ことわざをkotowaza.txtから読み込む
        in_file_path = os.path.join(os.path.dirname(
            __file__), "kotowaza.txt")
        in_file = open(in_file_path, "r", encoding="utf-8")
        self.lines = in_file.readlines()
        in_file.close()

        # ことわざを表示する
        self.show_kotowaza()
        # ラベルをダブルクリックするとことわざを変更する
        self.display.bind("<Double-Button-1>", self.show_kotowaza)

        # 保存ボタン
        save_btn = tkinter.Button(self, text="保存",
                            command=self.save_kotowaza)
        save_btn.pack()

    def show_kotowaza(self, event=None):
        self.a_kotowaza = self.lines[random.randrange(len(self.lines))]
        self.display["text"] = self.a_kotowaza.rstrip("\n")

    def save_kotowaza(self):
        out_file_path = in_file_path = os.path.join(os.path.dirname(
            __file__), "kotowaza_new.txt")
        out_file = open(out_file_path, "a", encoding="utf-8")
        out_file.write(self.a_kotowaza)
        out_file.close()


if __name__ == '__main__':
    root = tkinter.Tk()
    root.title("今日のことわざ")
    fortune = Fortune(master=root)
    fortune.mainloop()
