import tkinter
import os

class MyApplication(tkinter.Frame):
    def __init__(self, master=None):
        super().__init__(master,  bg="yellow", padx=10, pady=10)
        self.pack()
        self.canvas = tkinter.Canvas(self, width=500, height=400)
        self.canvas.pack()
        # イメージのID番号を管理するリスト
        self.image_ids = []
        # イメージファイルからPhotoImageオブジェクトを作成
        dir_path = os.path.join(os.path.dirname(__file__) , "images")
        file_path = os.path.join(dir_path, "fish2.gif")
        self.img = tkinter.PhotoImage(file=file_path)

        self.canvas.bind("<ButtonPress-1>", self.add_image)
        self.canvas.bind("<ButtonPress-2>", self.del_image)

    def add_image(self, event):
        # イメージを表示する
        id = self.canvas.create_image(event.x, event.y,
                                image=self.img)
        self.image_ids.append(id)

    def del_image(self, event):
        # 最後のイメージを削除する
        if len(self.image_ids):
            last_id = self.image_ids.pop()
            self.canvas.delete(last_id)

if __name__ == '__main__':
    root = tkinter.Tk()
    root.title("キャンバス4")
    app = MyApplication(master=root)
    root.mainloop()
