import tkinter
import os
from PIL import Image, ImageTk

NUM_OF_IMAGE = 6
class SlideShow(tkinter.Frame):

    def __init__(self, master=None):
        super().__init__(master, pady=10)
        self.pack()
        self.canvas = tkinter.Canvas(self, width=600, height=350)
        self.canvas.pack(padx=20, pady=20)
        # ボタン用のフレーム
        self.panel = tkinter.Frame(self)
        self.panel.pack()
        prev_btn = tkinter.Button(self.panel, text="<-",
                                  command=self.prev_slide)
        prev_btn.pack(side=tkinter.LEFT)
        next_btn = tkinter.Button(self.panel, text="->",
                                  command=self.next_slide)
        next_btn.pack(side=tkinter.LEFT)

        # イメージを読み込む
        self.photos = []
        for i in range(NUM_OF_IMAGE):
            dir_path = os.path.join(os.path.dirname(__file__),
                                    "images")
            file_path = os.path.join(dir_path,
                                    "image-" + str(i) + ".jpg")
            # JPGイメージを読み込んでPhotoImageオブジェクトに変換する
            photo = Image.open(file_path)
            photo_tk = ImageTk.PhotoImage(photo)
            self.photos.append(photo_tk)
        #最初のイメージを表示する
        self.slide_number = 0
        self.image_id = self.canvas.create_image(
            300, 200, image=self.photos[self.slide_number])

    def next_slide(self):
        self.slide_number += 1
        if self.slide_number >= NUM_OF_IMAGE:
            self.slide_number = 0
        self.canvas.delete(self.image_id)
        self.image_id = self.canvas.create_image(
            300, 200, image=self.photos[self.slide_number])

    def prev_slide(self):
        self.slide_number -= 1
        if self.slide_number < 0:
            self.slide_number = NUM_OF_IMAGE - 1
        self.canvas.delete(self.image_id)
        self.image_id = self.canvas.create_image(
            300, 200, image=self.photos[self.slide_number])

if __name__ == '__main__':
    root = tkinter.Tk()
    root.title("スライドショー")
    fortune = SlideShow(master=root)
    fortune.mainloop()
