import tkinter
import random
import os

class Puzzle15(tkinter.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        self.pack()

        # イメージの読み込み
        self.images = []
        dir_path = os.path.join(os.path.dirname(__file__) , "images")
        for n in range(0, 15):
            file_path =  os.path.join(dir_path,str(n) + ".gif")
            self.images.append(tkinter.PhotoImage(file=file_path))

        # ピース配置用フレーム
        board_frame = tkinter.Frame(self)
        board_frame.pack()
        # ピースを配置する
        for pos in range(0, 15):
            piece = tkinter.Label(board_frame, image=self.images[pos])
            piece.grid(row=int(pos / 4), column=pos % 4)

if __name__ == '__main__':
    root = tkinter.Tk()
    root.title("15パズルのレイアウト")
    puzzle = Puzzle15(master=root)
    puzzle.mainloop()
